Get a folder Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/folder/{uuid}

Path parameters

  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      Folder name

    • slug string

      Slug of the folder name

    • path string

      Folder path

    • clients_read boolean

      Denotes whether clients can access this folder and files

    • clients_write boolean

      Denotes whether clients can upload files to this folder

    • show_client_permissions boolean

      Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

    • is_system_folder boolean

      Denotes if this folder is a system folder

    • is_pseudo_folder boolean

      Denotes if this folder is a pseudo folder

    • is_root_folder boolean

      Denotes if this folder is a root folder of a documentable item

    • documentable_type string

      The documentable type such as account/plan/case/etc the file was uploaded to

    • documentable_uuid string

      The UUID of the documentable resource

    • documentable string

      The documentable the file was uploaded to

    • participants_count integer

      Number of accounts this folder has been directly shared with

    • participants array[object]

      Participants whom this folder has been directly shared with.

      Hide participants attributes Show participants attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • write boolean
    • folders_count integer

      Number of subfolders within the folder

    • folders array[object]

      Subfolders within the folder.

      Hide folders attributes Show folders attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants object
        Hide participants attributes Show participants attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the person the folder is shared with.

        • write

          Whether the participant has write access to this folder.

      • folders_count integer
      • folders object
        Hide folders attributes Show folders attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • files_count integer
      • files object
        Hide files attributes Show files attributes object
        • uuid

          UUID of the file

        • created_at

          The timestamp of when the resource was created.

        • original_created_at

          Timestamp of when the file was originally created

        • updated_at

          The timestamp of when the resource was updated.

        • uploaded_at

          Timestamp of when the file was uploaded

        • status

          Current status of the uploading progress

        • filename

          The filename including extension

        • name

          The name of the file without extension

        • extension

          The extension of the file

        • type

          The MIME type of the file

        • size

          The size of the file in bytes

        • path

          The path of the file

        • last_modified

          Timestamp of when the file was last modified before uploading

        • progress

          The progress of the uploaded file as a percentage between 0 and 100

        • download_url

          The download URL of the file

        • folder_name

          The name of the folder the file is located in

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable

          The documentable the file was uploaded to

        • navigator

          The documentable type and its UUID in order to navigator to the correct resource

      • parents object
        Hide parents attributes Show parents attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • ancestors object
        Hide ancestors attributes Show ancestors attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • children object
        Hide children attributes Show children attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • depth integer
      • owned boolean
    • files_count integer

      Number of files stored in the folder

    • files array[object]

      Files stored in the folder.

      Hide files attributes Show files attributes object
      • uuid string
      • created_at string
      • original_created_at string
      • updated_at string
      • uploaded_at string
      • status string
      • filename string
      • name string
      • extension string
      • type string
      • size string
      • path string
      • last_modified string
      • progress string
      • download_url string
      • folder_name string
      • folder object
        Hide folder attributes Show folder attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • documentable_type string
      • documentable string
      • navigator object
        Hide navigator attributes Show navigator attributes object
        • model_type string
        • model_uuid string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the firm

        • slug

          Slug of the firm

        • address_1

          First line of the address

        • address_2

          Second line of the address

        • town_city

          Town/City

        • county

          County

        • postcode

          Postcode

        • country

          Country

        • regulatory_text

          Regulatory text of the firm.

        • logo_icon

          URL of your firm logo icon.

        • brand_colours

          Firm branding colours.

        • is_subscribed

          Subscription status.

        • keep_deleted_files_for

          Number of days to keep deleted files for

        • tax

          Tax percent

        • month_end

          Date of the month for the monthly income reconciliation statements to end

        • statement_frequency

          The frequency of the income reconciliation statements

        • billing

          Firm invoice details for billing

        • ip_whitelist

          A list of IP Addresses a firm is allowed to log in from.

        • welcome_paragraph_html

          Custom welcome paragraph html for the branded auth welcome page

        • email_welcome_paragraph_html

          Custom welcome paragraph for the welcome/new user email

        • show_fact_find_illustrations

          Determines if the illustrations/graphics are displayed on the fact find.

        • cc_email_addresses

          Array of email cc addresses.

        • bcc_email_addresses

          Array of email bcc addresses.

        • reply_to_email_address

          Firm reply to email address.

        • mobile_app_support_number

          Firm mobile app support number.

        • mobile_app_support_email

          Firm mobile app support email address.

      • account object
        Hide account attributes Show account attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use the primary email of the account instead). The email of the account.

        • photo_url

          The photo URL of the client

      • tags object
        Hide tags attributes Show tags attributes object
        • uuid

          UUID of the tag

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the tag

        • slug

          The slug of the tag

        • colour

          The colour of the tag

    • parents array[object]

      Parent folders.

      Hide parents attributes Show parents attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants object
        Hide participants attributes Show participants attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the person the folder is shared with.

        • write

          Whether the participant has write access to this folder.

      • folders_count integer
      • folders object
        Hide folders attributes Show folders attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • files_count integer
      • files object
        Hide files attributes Show files attributes object
        • uuid

          UUID of the file

        • created_at

          The timestamp of when the resource was created.

        • original_created_at

          Timestamp of when the file was originally created

        • updated_at

          The timestamp of when the resource was updated.

        • uploaded_at

          Timestamp of when the file was uploaded

        • status

          Current status of the uploading progress

        • filename

          The filename including extension

        • name

          The name of the file without extension

        • extension

          The extension of the file

        • type

          The MIME type of the file

        • size

          The size of the file in bytes

        • path

          The path of the file

        • last_modified

          Timestamp of when the file was last modified before uploading

        • progress

          The progress of the uploaded file as a percentage between 0 and 100

        • download_url

          The download URL of the file

        • folder_name

          The name of the folder the file is located in

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable

          The documentable the file was uploaded to

        • navigator

          The documentable type and its UUID in order to navigator to the correct resource

      • parents object
        Hide parents attributes Show parents attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • ancestors object
        Hide ancestors attributes Show ancestors attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • children object
        Hide children attributes Show children attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • depth integer
      • owned boolean
    • ancestors array[object]

      All parents folders up the folder hierarchy structure.

      Hide ancestors attributes Show ancestors attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants object
        Hide participants attributes Show participants attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the person the folder is shared with.

        • write

          Whether the participant has write access to this folder.

      • folders_count integer
      • folders object
        Hide folders attributes Show folders attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • files_count integer
      • files object
        Hide files attributes Show files attributes object
        • uuid

          UUID of the file

        • created_at

          The timestamp of when the resource was created.

        • original_created_at

          Timestamp of when the file was originally created

        • updated_at

          The timestamp of when the resource was updated.

        • uploaded_at

          Timestamp of when the file was uploaded

        • status

          Current status of the uploading progress

        • filename

          The filename including extension

        • name

          The name of the file without extension

        • extension

          The extension of the file

        • type

          The MIME type of the file

        • size

          The size of the file in bytes

        • path

          The path of the file

        • last_modified

          Timestamp of when the file was last modified before uploading

        • progress

          The progress of the uploaded file as a percentage between 0 and 100

        • download_url

          The download URL of the file

        • folder_name

          The name of the folder the file is located in

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable

          The documentable the file was uploaded to

        • navigator

          The documentable type and its UUID in order to navigator to the correct resource

      • parents object
        Hide parents attributes Show parents attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • ancestors object
        Hide ancestors attributes Show ancestors attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • children object
        Hide children attributes Show children attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • depth integer
      • owned boolean
    • children array[object]

      Subfolders within the folder.

      Hide children attributes Show children attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants object
        Hide participants attributes Show participants attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the person the folder is shared with.

        • write

          Whether the participant has write access to this folder.

      • folders_count integer
      • folders object
        Hide folders attributes Show folders attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • files_count integer
      • files object
        Hide files attributes Show files attributes object
        • uuid

          UUID of the file

        • created_at

          The timestamp of when the resource was created.

        • original_created_at

          Timestamp of when the file was originally created

        • updated_at

          The timestamp of when the resource was updated.

        • uploaded_at

          Timestamp of when the file was uploaded

        • status

          Current status of the uploading progress

        • filename

          The filename including extension

        • name

          The name of the file without extension

        • extension

          The extension of the file

        • type

          The MIME type of the file

        • size

          The size of the file in bytes

        • path

          The path of the file

        • last_modified

          Timestamp of when the file was last modified before uploading

        • progress

          The progress of the uploaded file as a percentage between 0 and 100

        • download_url

          The download URL of the file

        • folder_name

          The name of the folder the file is located in

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable

          The documentable the file was uploaded to

        • navigator

          The documentable type and its UUID in order to navigator to the correct resource

      • parents object
        Hide parents attributes Show parents attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • ancestors object
        Hide ancestors attributes Show ancestors attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • children object
        Hide children attributes Show children attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • depth integer
      • owned boolean
    • depth integer

      How many levels deep there are to this folder hierarchy structure

    • owned boolean

      Is true if the authenticated account in the request has created this folder

GET /api/v1/folder/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/folder/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "1c34a352-75d3-4b39-8d7c-55fdedf3a5c7",
  "created_at": "2026-07-17T15:25:28+01:00",
  "updated_at": "2026-07-17T15:25:28+01:00",
  "name": "Important Documents",
  "slug": "important-documents",
  "path": "Codepotato/Important Documents",
  "clients_read": true,
  "clients_write": true,
  "show_client_permissions": true,
  "is_system_folder": true,
  "is_pseudo_folder": true,
  "is_root_folder": true,
  "documentable_type": "account",
  "documentable_uuid": "account",
  "documentable": "Object",
  "participants_count": 3,
  "participants": [
    {
      "uuid": "b3549f45-bdd6-4d2f-ba5c-400b04fce452",
      "created_at": "2026-07-17T15:25:28+01:00",
      "updated_at": "2026-07-17T15:25:28+01:00",
      "name": "Gareth Thompson",
      "write": true
    }
  ],
  "folders_count": 5,
  "folders": [
    {
      "uuid": "47b563c3-353d-4f9e-a3ce-e475f8fa37f8",
      "created_at": "2026-07-17T15:25:28+01:00",
      "updated_at": "2026-07-17T15:25:28+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": {
        "uuid": "a2208e23-bea0-4304-9a3d-3ce5c0482624",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Gareth Thompson",
        "write": true
      },
      "folders_count": 5,
      "folders": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "files_count": 8,
      "files": {
        "uuid": "c4fdfaa9-f8da-41ef-b539-ca282ca6f4f4",
        "created_at": "2026-07-17T15:25:36+01:00",
        "original_created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "uploaded_at": "2026-07-17T15:25:36+01:00",
        "status": "uploaded",
        "filename": "Welcome to Plannr.pdf",
        "name": "Welcome to Plannr",
        "extension": "pdf",
        "type": "type",
        "size": "21691783",
        "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
        "last_modified": "2026-07-17T15:25:36+01:00",
        "progress": "100",
        "download_url": "https://api.plannrcrm.com/file/27355e9b-34ac-4646-80f3-8a5a64900d68/download",
        "folder_name": "folder 2",
        "documentable_type": "account",
        "documentable": "Object",
        "navigator": {
          "model_type": "account",
          "model_uuid": null
        }
      },
      "parents": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "ancestors": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "children": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "depth": 5,
      "owned": false
    }
  ],
  "files_count": 8,
  "files": [
    {
      "uuid": "b71f4e86-4cf0-4d56-92d9-605152e7fe5a",
      "created_at": "2026-07-17T15:25:28+01:00",
      "original_created_at": "2026-07-17T15:25:28+01:00",
      "updated_at": "2026-07-17T15:25:28+01:00",
      "uploaded_at": "2026-07-17T15:25:28+01:00",
      "status": "uploaded",
      "filename": "Welcome to Plannr.pdf",
      "name": "Welcome to Plannr",
      "extension": "pdf",
      "type": "type",
      "size": "21691783",
      "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
      "last_modified": "2026-07-17T15:25:28+01:00",
      "progress": "100",
      "download_url": "https://api.plannrcrm.com/file/17a9a446-6b7a-45ad-ba33-3ca387653b9c/download",
      "folder_name": "folder 2",
      "folder": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "documentable_type": "account",
      "documentable": "Object",
      "navigator": {
        "model_type": "account",
        "model_uuid": "bee5bca4-4aa8-4cc6-aa8e-1ce0e20fa6ec"
      },
      "firm": {
        "uuid": "91f29e51-ce21-4ef7-b20a-977e7ed8f32c",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Codepotato",
        "slug": "codepotato",
        "address_1": "Suite E, 5 The Briars",
        "address_2": "Waterberry Drive",
        "town_city": "Waterlooville",
        "county": "Hampshire",
        "postcode": "PO7 7YH",
        "country": "United Kingdom",
        "regulatory_text": "Regulatory text",
        "logo": "https://api.plannrcrm.com/images/plannr.jpg",
        "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
        "brand_colours": {
          "sidebar_background": "#0E0E56",
          "sidebar_accent": "#36367E",
          "sidebar_text": "#FFFFFF",
          "sidebar_hover": "#0A0A42",
          "sidebar_active": "#53DBB8",
          "sidebar_title_background": "#36367E",
          "sidebar_title_primary": "#FFC634",
          "sidebar_title_secondary": "#FFFFFF",
          "sidebar_title_secondary_hover": "#FFFFFF",
          "email_background": "#0E0E56",
          "email_logo_background_panel": "#36367E",
          "email_sub_text": "#FFFFFF",
          "email_button_background": "#36367E",
          "email_button_text": "#FFFFFF",
          "portal_sidebar_button_background": "#F6F6F6",
          "portal_sidebar_button_hover": "#FFFFFF",
          "portal_sidebar_button_active": "#FFFFFF",
          "portal_brand_title": "#323B4B",
          "portal_brand_sub_title": "#828994",
          "portal_sidebar_title": "#11151D",
          "portal_sidebar_text": "#323B4B",
          "portal_sidebar_text_hover": "#323B4B",
          "portal_sidebar_text_active": "#323B4B",
          "portal_sidebar_icon": "#828994",
          "portal_sidebar_icon_hover": "#828994",
          "portal_sidebar_icon_active": "#828994",
          "portal_background": "#F6F6F6",
          "portal_sidebar_account_title": "#11151D",
          "portal_sidebar_account_email": "#828994",
          "portal_sidebar_divider": "#E3E5E9",
          "portal_dashboard_bg_one": "#EF4583",
          "portal_dashboard_bg_two": "#FFC634",
          "portal_sidebar_collapse_button": "#828994",
          "portal_sidebar_collapse_button_hover": "#B3B9C4",
          "portal_sidebar_user_select_background": "#F6F6F6",
          "portal_sidebar_user_select_hover": "#F6F6F6",
          "portal_sidebar_user_select_text": "#323B4B",
          "portal_sidebar_user_select_text_hover": "#323B4B",
          "portal_sidebar_user_select_border": "#EEEEEE",
          "portal_sidebar_user_select_border_hover": "#828994"
        },
        "is_subscribed": true,
        "keep_deleted_files_for": 30,
        "tax": 17.5,
        "month_end": 25,
        "statement_frequency": "monthly",
        "billing": {
          "invoice_address_1": "Suite E, 5 The Briars",
          "invoice_address_2": "Waterberry Drive",
          "invoice_town_city": "Waterlooville",
          "invoice_county": "Hampshire",
          "invoice_postcode": "PO7 7YH",
          "invoice_country": "United Kingdom",
          "invoice_email": "gareth@codepotato.co.uk"
        },
        "ip_whitelist": [
          "192.168.0.1",
          "127.0.0.1"
        ],
        "welcome_paragraph_html": "<h1>Welcome.</h1>",
        "email_welcome_paragraph_html": "Welcome to Plannr!",
        "show_fact_find_illustrations": true,
        "cc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "bcc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "reply_to_email_address": "jack@example.com",
        "mobile_app_support_number": "01234 567890",
        "mobile_app_support_email": "support@example.com"
      },
      "account": {
        "uuid": "a93927b0-3b21-4af1-9f4f-15489a25a202",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
      },
      "tags": {
        "uuid": "f1ecba6d-f8a7-415f-90f1-db030dd72262",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Mortgage",
        "slug": "mortgage",
        "colour": "#ef4582"
      }
    }
  ],
  "parents": [
    {
      "uuid": "12d2ecb4-d5b3-4767-bd79-c2d9760da983",
      "created_at": "2026-07-17T15:25:28+01:00",
      "updated_at": "2026-07-17T15:25:28+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": {
        "uuid": "a2208e23-bea0-4304-9a3d-3ce5c0482624",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Gareth Thompson",
        "write": true
      },
      "folders_count": 5,
      "folders": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "files_count": 8,
      "files": {
        "uuid": "c4fdfaa9-f8da-41ef-b539-ca282ca6f4f4",
        "created_at": "2026-07-17T15:25:36+01:00",
        "original_created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "uploaded_at": "2026-07-17T15:25:36+01:00",
        "status": "uploaded",
        "filename": "Welcome to Plannr.pdf",
        "name": "Welcome to Plannr",
        "extension": "pdf",
        "type": "type",
        "size": "21691783",
        "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
        "last_modified": "2026-07-17T15:25:36+01:00",
        "progress": "100",
        "download_url": "https://api.plannrcrm.com/file/27355e9b-34ac-4646-80f3-8a5a64900d68/download",
        "folder_name": "folder 2",
        "documentable_type": "account",
        "documentable": "Object",
        "navigator": {
          "model_type": "account",
          "model_uuid": null
        }
      },
      "parents": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "ancestors": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "children": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "depth": 5,
      "owned": false
    }
  ],
  "ancestors": [
    {
      "uuid": "87642e98-dee1-42c2-921b-85a535217b34",
      "created_at": "2026-07-17T15:25:28+01:00",
      "updated_at": "2026-07-17T15:25:28+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": {
        "uuid": "a2208e23-bea0-4304-9a3d-3ce5c0482624",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Gareth Thompson",
        "write": true
      },
      "folders_count": 5,
      "folders": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "files_count": 8,
      "files": {
        "uuid": "c4fdfaa9-f8da-41ef-b539-ca282ca6f4f4",
        "created_at": "2026-07-17T15:25:36+01:00",
        "original_created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "uploaded_at": "2026-07-17T15:25:36+01:00",
        "status": "uploaded",
        "filename": "Welcome to Plannr.pdf",
        "name": "Welcome to Plannr",
        "extension": "pdf",
        "type": "type",
        "size": "21691783",
        "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
        "last_modified": "2026-07-17T15:25:36+01:00",
        "progress": "100",
        "download_url": "https://api.plannrcrm.com/file/27355e9b-34ac-4646-80f3-8a5a64900d68/download",
        "folder_name": "folder 2",
        "documentable_type": "account",
        "documentable": "Object",
        "navigator": {
          "model_type": "account",
          "model_uuid": null
        }
      },
      "parents": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "ancestors": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "children": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "depth": 5,
      "owned": false
    }
  ],
  "children": [
    {
      "uuid": "0f62dd55-e2a9-434e-a5a5-c660e5a81e2e",
      "created_at": "2026-07-17T15:25:28+01:00",
      "updated_at": "2026-07-17T15:25:28+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": {
        "uuid": "a2208e23-bea0-4304-9a3d-3ce5c0482624",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Gareth Thompson",
        "write": true
      },
      "folders_count": 5,
      "folders": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "files_count": 8,
      "files": {
        "uuid": "c4fdfaa9-f8da-41ef-b539-ca282ca6f4f4",
        "created_at": "2026-07-17T15:25:36+01:00",
        "original_created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "uploaded_at": "2026-07-17T15:25:36+01:00",
        "status": "uploaded",
        "filename": "Welcome to Plannr.pdf",
        "name": "Welcome to Plannr",
        "extension": "pdf",
        "type": "type",
        "size": "21691783",
        "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
        "last_modified": "2026-07-17T15:25:36+01:00",
        "progress": "100",
        "download_url": "https://api.plannrcrm.com/file/27355e9b-34ac-4646-80f3-8a5a64900d68/download",
        "folder_name": "folder 2",
        "documentable_type": "account",
        "documentable": "Object",
        "navigator": {
          "model_type": "account",
          "model_uuid": null
        }
      },
      "parents": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "ancestors": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "children": {
        "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Important Documents",
        "slug": "important-documents",
        "path": "Codepotato/Important Documents",
        "clients_read": true,
        "clients_write": true,
        "show_client_permissions": true,
        "is_system_folder": true,
        "is_pseudo_folder": true,
        "is_root_folder": true,
        "documentable_type": "account",
        "documentable_uuid": "account",
        "documentable": "Object",
        "participants_count": 3,
        "folders_count": 5,
        "files_count": 8,
        "depth": 5,
        "owned": false
      },
      "depth": 5,
      "owned": false
    }
  ],
  "depth": 5,
  "owned": false
}